Paquet libcups2 dysfonctionnement de CUPS sur Debian 10

Le
Pat Pato
Bonjour,

Désolé de publier Í  nouveau sans délai supplémentaire.

Je suis entrain d'installer des paquets pour corriger les erreurs
retournées par la commande hp-check.

L'installation requiert toujours le paquet libcups2 version 1.1. Je n'ai
pas autant que je sache la possibilité de remédier Í  cela. Ai-je au
contraire une possibilité selon vous?

Pourquoi le "même" paquet dans la version dont je dispose
(2.2.10-6+deb10n4) n'est-il pas compatible avec l'utilisation que je
souhaite.


Patrick
  • Partager ce contenu :
Vos réponses Page 1 / 2
Trier par : date / pertinence
Pat Pato
Le #26581264
Le Thu, 16 Dec 2021 12:08:53 +0100,
Pat Pato Bonjour,
J'ai consulté syslog...
Dec 17 08:21:58 debian scanimage: io/hpmud/model.c 532: no
neverstop_laser_mfp_120x attributes found
in /usr/share/hplip/data/models/models.dat Dec 17 08:21:58 debian
scanimage: io/hpmud/model.c 543: no neverstop_laser_mfp_120x attributes
found in /usr/share/hplip/data/models/unreleased/unreleased.dat Dec 17
08:22:04 debian scanimage: scan/sane/escl.c 434: escl_open()
session=(nil) Dec 17 08:22:04 debian scanimage: io/hpmud/musb.c 427:
Found interface conf=0, iface=0, altset=0, index=1 Dec 17 08:22:04
debian scanimage: io/hpmud/musb.c 389: Active kernel driver on
interface=0 ret=1 Dec 17 08:22:04 debian scanimage: io/hpmud/musb.c
393: Detaching kernel driver on interface=0 ret=0 Dec 17 08:22:04
debian scanimage: io/hpmud/musb.c 535: claimed 7/1/2 interface Dec 17
08:22:04 debian scanimage: io/hpmud/musb.c 780: read actual device_id
successfully fd=1 len%1 Dec 17 08:22:04 debian scanimage:
io/hpmud/musb.c 561: released 7/1/2 interface Dec 17 08:22:04 debian
kernel: [ 2233.585642] usblp0: removed Dec 17 08:22:04 debian
scanimage: common/utils.c 212: unable to load library
libm.so: /lib/x86_64-linux-gnu/libm.so: invalid ELF header Dec 17
08:22:04 debian scanimage: common/utils.c 79: unable to
open /var/lib/hp/hplip.state: No such file or directory Dec 17 08:22:04
debian scanimage: common/utils.c 129: validate_plugin_version() Failed
to get Plugin version from [/var/lib/hp/hplip.state] Dec 17 08:22:04
debian scanimage: common/utils.c 173: Plugin version is not matching
Dec 17 08:22:04 debian scanimage: scan/sane/escl.c 89: Calling escl
bb_unload: Dec 17 08:23:46 debian kernel: [ 2335.381262] perf:
interrupt took too long (5291 > 5192), lowering
kernel.perf_event_max_sample_rate to 37750 Dec 17 08:30:01 debian
CRON[1633]: (root) CMD ([ -x /etc/init.d/anacron ] && if [ !
-d /run/systemd/system ]; then /usr/sbin/invoke-rc.d anacron start
/dev/null; fi)

Pouvez vous réagir?

Patrick
Marc SCHAEFER
Le #26581265
Pat Pato
J'ai consulté syslog...

Oups, mise en page horrible. Soit utiliser un client news qui ne fait
pas ça, soit copier sur un site.
En lisant rapidement, je vois des erreurs de dépendances de symboles,
comme si l'on avait essayé d'installer au marteau une version d'une
distribution Debian sur une autre.
Comment avez-vous installé ça?
Pat Pato
Le #26581275
Le Fri, 17 Dec 2021 08:44:10 -0000 (UTC),
Marc SCHAEFER
Pat Pato
J'ai consulté syslog...

Oups, mise en page horrible. Soit utiliser un client news qui ne fait
pas ça, soit copier sur un site.
En lisant rapidement, je vois des erreurs de dépendances de symboles,
comme si l'on avait essayé d'installer au marteau une version d'une
distribution Debian sur une autre.
Comment avez-vous installé ça?

Vous pensez que cela vient de ce que je n'ai pas été assez compétent
pour l'installation de Debian proprement dit?
C'est possible notez...
Merci

Patrick
Pat Pato
Le #26581274
Le Fri, 17 Dec 2021 12:13:18 +0100,
Pat Pato
Le Fri, 17 Dec 2021 08:44:10 -0000 (UTC),
Marc SCHAEFER
Comment avez-vous installé ça?

Vous pensez que cela vient de ce que je n'ai pas été assez compétent
pour l'installation de Debian proprement dit?
C'est possible notez...
Merci


apt-cache policy hplip renvoie :
hplip:
Installé : 3.20.9+dfsg0-4~bpo10+1
Candidat : 3.20.9+dfsg0-4~bpo10+1
Table de version :
*** 3.20.9+dfsg0-4~bpo10+1 100
100 http://ftp.debian.org/debian buster-backports/main amd64
Packages 100 /var/lib/dpkg/status
3.18.12+dfsg0-2 500
500 http://ftp.fr.debian.org/debian buster/main amd64 Packages
Ceci va selon moi dans le sens que vous indiquez. Non?
Merci
Patrick
Marc SCHAEFER
Le #26581277
Pat Pato
Installé : 3.20.9+dfsg0-4~bpo10+1

ok, c'est un backport; vous aviez donc suivi nos instructions pour
installer un paquet buster-backports sur une backports, ce n'est donc
pas de votre faute :)
Il y a peut-être un bug dans ce package ou dans ses dépendances.
J'aimerais quand même voir le log non corrompu, si c'est possible.
Marc SCHAEFER
Le #26581276
Pat Pato
Installé : 3.20.9+dfsg0-4~bpo10+1

ok, c'est un backport; vous aviez donc suivi nos instructions pour
installer un paquet buster-backports sur une buster, ce n'est donc
pas de votre faute :)
Il y a peut-être un bug dans ce package ou dans ses dépendances.
J'aimerais quand même voir le log non corrompu, si c'est possible.
Pat Pato
Le #26581278
Le Fri, 17 Dec 2021 11:50:01 -0000 (UTC),
Marc SCHAEFER
Pat Pato
Installé : 3.20.9+dfsg0-4~bpo10+1

.......ok, c'est un backport; vous aviez donc suivi nos instructions
pour installer un paquet buster-backports sur une buster, ce n'est
donc pas de votre faute :)
Il y a peut-être un bug dans ce package ou dans ses dépendances......
J'aimerais quand même voir le log non corrompu, si c'est possible.

Dec 17 08:21:58 debian scanimage: io/hpmud/model.c 532: no neverstop_laser_mfp_120x attributes found in /usr/share/hplip/data/models/models.dat
Dec 17 08:21:58 debian scanimage: io/hpmud/model.c 543: no neverstop_laser_mfp_120x attributes found in /usr/share/hplip/data/models/unreleased/unreleased.dat
Dec 17 08:22:04 debian scanimage: scan/sane/escl.c 434: escl_open() session=(nil)
Dec 17 08:22:04 debian scanimage: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=0, index=1
Dec 17 08:22:04 debian scanimage: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=1
Dec 17 08:22:04 debian scanimage: io/hpmud/musb.c 393: Detaching kernel driver on interface=0 ret=0
Dec 17 08:22:04 debian scanimage: io/hpmud/musb.c 535: claimed 7/1/2 interface
Dec 17 08:22:04 debian scanimage: io/hpmud/musb.c 780: read actual device_id successfully fd=1 len%1
Dec 17 08:22:04 debian scanimage: io/hpmud/musb.c 561: released 7/1/2 interface
Dec 17 08:22:04 debian kernel: [ 2233.585642] usblp0: removed
Dec 17 08:22:04 debian scanimage: common/utils.c 212: unable to load library libm.so: /lib/x86_64-linux-gnu/libm.so: invalid ELF header
Dec 17 08:22:04 debian scanimage: common/utils.c 79: unable to open /var/lib/hp/hplip.state: No such file or directory
Dec 17 08:22:04 debian scanimage: common/utils.c 129: validate_plugin_version() Failed to get Plugin version from [/var/lib/hp/hplip.state]
Dec 17 08:22:04 debian scanimage: common/utils.c 173: Plugin version is not matching
Dec 17 08:22:04 debian scanimage: scan/sane/escl.c 89: Calling escl bb_unload:
Dec 17 08:23:46 debian kernel: [ 2335.381262] perf: interrupt took too long (5291 > 5192), lowering kernel.perf_event_max_sample_rate to 37750
Dec 17 08:30:01 debian CRON[1633]: (root) CMD ([ -x /etc/init.d/anacron ] && if [ ! -d /run/systemd/system ]; then /usr/sbin/invoke-rc.d anacron start >/dev/null; fi)
Est-ce cela un log non corrompu :) ?
Patrick
Pat Pato
Le #26581283
Le Fri, 17 Dec 2021 15:22:50 +0100,
Pat Pato
Le Fri, 17 Dec 2021 14:21:12 -0000 (UTC),
Marc SCHAEFER
Pat Pato > syslog.1 est-il d'un quelconque intérêt?
Non, je ne pense pas.
En fait, qu'est-ce qui ne marche pas?
impression?
scan?

Oui c'est vrai. Aucune fonction.


Oh Non! Désolé redémarrer l'imprimante fait fonctionner l'impression...
Mais pas le scanner.
Patrick
Marc SCHAEFER
Le #26581282
Pat Pato
effet la commande hp-setup -u -i ne permet le fonctionnement dans
l'immédiat.

Que dit-elle? produit-elle des logs?
Nicolas George
Le #26581310
Pat Pato , dans le message
Dec 17 08:22:04 debian scanimage: common/utils.c 129: validate_plugin_version() Failed to get Plugin version from [/var/lib/hp/hplip.state]
Dec 17 08:22:04 debian scanimage: common/utils.c 173: Plugin version is not matching
Dec 17 08:22:04 debian scanimage: scan/sane/escl.c 89: Calling escl bb_unload:

Je n'ai pas le début de la discussion, mais ça ressemble aux cas o͹ il faut
un plugin propriétaire :
https://lists.debian.org/debian-user/2021/08/msg00629.html
Poster une réponse
Anonyme